<?php

require_once("./functions.php");

PripojDb();

$sSql = "SELECT `value` FROM `counter_int` WHERE `cenzor` = '0'";
$pRes = askDb($sSql);
$oRes = mysqli_fetch_object($pRes);
$iSvobodnych = $oRes->value;

$sSql = "SELECT `value` FROM `counter_int` WHERE `cenzor` = '1'";
$pRes = askDb($sSql);
$oRes = mysqli_fetch_object($pRes);
$iCenzurovanych = $oRes->value;

$sSql = "SELECT `value` FROM `counter_int` WHERE `cenzor` = '2'";
$pRes = askDb($sSql);
$oRes = mysqli_fetch_object($pRes);
$iRequestu = $oRes->value;


$iTotal = $iCenzurovanych + $iSvobodnych;

$sStatData  = '<ul>';
$sStatData .= '<li>Celkem obsloužených požadavků: <strong>'.$iRequestu.'</strong></li>';
$sStatData .= '<li>Návštěvníků (1 IP jednou denně): <strong>'.$iTotal.'</strong></li>';
$sStatData .= '<li>Zákazníků necenzurujících ISP (1 IP jednou denně): <strong>'.$iSvobodnych.'</strong></li>';
$sStatData .= '<li>Zákazníků cenzurujících ISP (1 IP jednou denně): <strong>'.$iCenzurovanych.'</strong></li>';
$sStatData .= '</ul>';

$iGaugeSize = 350;

$iSizeSvobodnych = $iGaugeSize / $iTotal * $iSvobodnych;
$iSizeCenzurovanych = $iGaugeSize / $iTotal * $iCenzurovanych;


$sStatData .= sprintf('<img src="grafika/graf/spunt-levy.png" width="6" height="22" alt="graf"><img src="grafika/graf/zelena.png" width="%d" height="22" alt="graf"><img src="grafika/graf/strednik.png" width="1" height="22" alt="graf">', $iSizeSvobodnych+1);
$sStatData .= sprintf('<img src="grafika/graf/cervena.png" width="%d" height="22" alt="graf"><img src="grafika/graf/spunt-pravy.png" width="7" height="22" alt="graf">', $iSizeCenzurovanych);

OdpojDb();

?>

<?php echo $sStatData; ?>

